---
title: Nico v2.5
subtitle: Mise à jour 2023.
lang: fr
slug: "2023"
excerpt: Suite des évolutions.
tags: ["Freelance"]
type: articles
createdAt: "2023-02-03T17:41:00.000Z"
updatedAt: "2023-05-17T17:41:00.000Z"
---

Cet article sera mis à jour lorsque j'aurai des nouveautés à partager au cours de l'année 2023.

## Le site

### Technologies

Oups… je l'ai encore (re)fait.

J'ai entièrement re-développé mon site avec <a href="https://astro.build/" rel="noopener noreferer" hreflang="en">Astro</a>, comme prédit par moi-même [en 2022&nbsp;!](/articles/2022/#le-site)

Je ferai certainement un ou deux articles/fragments sur Astro et les extensions que j'ai utilisées. En tout cas c'était super comme expérience. Nuxt v2 n'étant plus vraiment à jour, les performances n'étaient plus au rendez-vous. Astro a complètement corrigé ça.

Mon score de performance <a href="https://pagespeed.web.dev/" rel="noopener noreferer" hreflang="en" lang="en">PageSpeed</a> était tombé à 77/100. Grâce à Astro je retrouve un solide **95/100** sans optimisation particulière.

J'ai ensuite fait un travail de modernisation du code. Bonjour variables CSS et au-revoir les `media queries`. En vrac, voici certaines améliorations que j'ai mises en place&nbsp;:

- `flexbox` et `grid` pour adapter la mise en page aux différentes tailles d'écran&nbsp;;
- variables CSS pour les couleurs, les tailles de polices et les marges&nbsp;;
- quelques <span lang="en">`container queries`</span> pour essayer&nbsp;;
- propriétés logiques CSS (<span lang="en">`inline`</span> et <span lang="en">`block`</span> à la place de <span lang="en">`width`</span> et <span lang="en">`height`</span> par exemple).

J'en ai profité pour publier [le code source](https://git.nardu.in/nardu.in/website-astro) sur mon dépôt git.

**Mise à jour #1&nbsp;:** J'ai ajouté [un flux RSS](/rss.xml) car j'utilise de plus en plus le RSS sur d'autres sites web.

### Suivi des visites

J’ai supprimé le suivi des visites. J’utilisais <a href="https://umami.is/" rel="noopener noreferer" hreflang="en">umami</a> hébergé sur mon propre serveur. Aucune donnée personnelle n'était collectée et je consultais rarement les rapports.

C'est sympa de voir que son site est visité, mais s'il n'y a aucun autre but derrière, c'est une ressource supplémentaire chargée pour rien par les visiteurs. Peut-être que je réactiverai le suivi lorsque j'en aurai l'utilité (autre que flatter mon égo).

Les rapports de visites précédents sont consultables sur [ce lien.](https://stat.nardu.in/share/nJSt1tfS/nardu.in)

### Contenu

- J'ai ajouté une page [références](/references/) pour lister certains de mes projets.
- J'ai également ajouté [une page](/veille/) où je répertorie des choses intéressantes trouvées sur le web.

## Projets annexes

Je continue d'enseigner le développement web cette année. Afin d'étoffer mes supports de cours, j'ai mis en place un mini site de documentation disponible à l'adresse [3-w.fr](https://3-w.fr/) (adresse dont je suis très fier).

Il faut que j'arrive à être plus régulier dans sa mise à jour mais j'ai bon espoir que la plateforme aide les élèves à progresser&nbsp;!

**Plus de trucs bientôt!**
